<?php

Class Modul {

  public function galeri_ekle($galeriBaslik="baslik_yok",$galeriResim){
    global $db; // Veritabanı Bağlantısı
    $sayfakayit = $db->select('galeri')
        ->from('count(id) as total')
        ->total();
    /// Birden fazla dosya yüklemesinde benzersiz isim üretme
    $dizi = array();
    $i=0;
    for($x=0; $x<Count($galeriResim); $x++)
    {
      $isim = md5(time().rand(0,100000));
      if(!in_array($isim, $dizi))
      {
        $dizi[$i] = $isim;
        $i++;
      }
    } //isim üretme son. $dizi ye atıldı tüm isimler
$i=0;
    foreach($galeriResim as $resim){
      $uploaddir = '../upload/galeri'; // upload edilecek klasör
      $img = getimagesize($resim['tmp_name']);
      $ext = explode('/', $img['mime']);
      $uploadfile = $dizi[$i] . '.' . $ext[1];
      $i++;
  //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
  if(move_uploaded_file($resim['tmp_name'], $uploaddir . '/' . $uploadfile)){
    // Veritabanı Kayıt İşlemi
    $galeri = $db->insert('galeri')
            ->set(array(
               'galeriBaslik' => $galeriBaslik,
                'galeriResim' => $uploadfile,
                'aktifkontrol' =>'aktif',
                'sira'    => ($sayfakayit+1),
                'olusturma_tarihi'    =>date('Y-m-d')
            ));
          }
    }
    if($galeri){
      echo '<div class="alert alert-success">
                <strong>Tebrikler!</strong> Galeri Resmi Başarıyla Eklendi.Yönlendiriliyorsunuz.
            </div>';
      git('index.php?do=galeri&ekle',1);
    }else{
      echo '<div class="alert alert-danger">
                <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
            </div>';
      git('index.php?do=galeri&ekle',1);
        }
  } // Galeri Ekle



	    /*
     * markalar Ekleme Fonksiyonu*/
    public function markalar_ekle($markalarBaslik,$markalarResim){
        global $db; // Veritabanı Bağlantısı
        $sayfakayit = $db->select('markalar')
            ->from('count(id) as total')
            ->total();
        $uploaddir = '../upload/markalar'; // upload edilecek klasör
        $img = getimagesize($_FILES['markalarResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($markalarBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['markalarResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanı Kayıt İşlemi
            $markalar = $db->insert('markalar')
                ->set(array(
                   'markalarBaslik' => $markalarBaslik,
                   'olusturma_tarihi' =>date('Y-m-d'),
                   'duzenleme_tarihi' =>date('Y-m-d'),
                   'aktifkontrol' =>'aktif',
                   'sira'  => ($sayfakayit+1),
                    'markalarResim' => $uploadfile
                ));
            if($markalar){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> markalar Resmi Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=markalar&ekle',0);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=markalar&ekle',1);
            }
        }else{
            echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen Resim Yükleyiniz.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=markalar&ekle',1);
        }
    }

    /*
     * markalar Düzenleme Fonksiyonu*/
    public function markalar_duzenle($markalarBaslik,$markalarResim,$gelen){
        global $db;
        $uploaddir  = '../upload/markalar'; // upload edilecek klasör
        $img        = getimagesize($_FILES['markalarResim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name = sef_link($markalarBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['markalarResim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $markalar_duzenle = $db->update('markalar')
            ->where('id',$gelen)
            ->set(array(
                   'markalarBaslik' => $markalarBaslik,
                   'duzenleme_tarihi' =>date('Y-m-d'),
                    'markalarResim' => $uploadfile
                ));
              if($markalar_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=markalar',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }else{
            $markalar_duzenle = $db->update('markalar')
            ->where('id',$gelen)
            ->set(array(
                   'markalarBaslik' => $markalarBaslik,
                   'duzenleme_tarihi' =>date('Y-m-d')
                ));
              if($markalar_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=markalar',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }
    }



	    /*
     * referans Ekleme Fonksiyonu*/
    public function referans_ekle($referansBaslik,$referansURL,$referansResim){
        global $db; // Veritabanı Bağlantısı
        $sayfakayit = $db->select('referans')
            ->from('count(id) as total')
            ->total();
        $uploaddir = '../upload/referans'; // upload edilecek klasör
        $img = getimagesize($_FILES['referansResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($referansBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['referansResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanı Kayıt İşlemi
            $referans = $db->insert('referans')
                ->set(array(
                   'referansBaslik' => $referansBaslik,
				   'referansURL' => $referansURL,
           'olusturma_tarihi' =>date('Y-m-d'),
           'duzenleme_tarihi' =>date('Y-m-d'),
           'aktifkontrol' =>'aktif',
           'sira'   => ($sayfakayit+1),
                    'referansResim' => $uploadfile
                ));
            if($referans){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> referans Resmi Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=referans&ekle',0);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=referans&ekle',1);
            }
        }else{
            echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen Resim Yükleyiniz.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=referans&ekle',1);
        }
    }

    /*
     * Referans Düzenleme Fonksiyonu*/
    public function referans_duzenle($referansBaslik,$referansURL,$referansResim,$gelen){
        global $db;
        $uploaddir  = '../upload/referans'; // upload edilecek klasör
        $img        = getimagesize($_FILES['referansResim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name = sef_link($referansBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['referansResim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $referans_duzenle = $db->update('referans')
            ->where('id',$gelen)
            ->set(array(
                   'referansBaslik' => $referansBaslik,
				               'referansURL' => $referansURL,
                       'duzenleme_tarihi' =>date('Y-m-d'),
                    'referansResim' => $uploadfile
                ));
              if($referans_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Referans Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=referans',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }else{
            $referans_duzenle = $db->update('referans')
            ->where('id',$gelen)
            ->set(array(
                   'referansBaslik' => $referansBaslik,
                   'duzenleme_tarihi' =>date('Y-m-d'),
				   'referansURL' => $referansURL
                ));
              if($referans_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Referans Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=referans',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }
    }






    /*
     * Video Ekleme Fonksiyonu*/
    public function video_ekle($videoBaslik,$videoResim,$videoEmbed,$videoText){
        global $db; // Veritabanı Bağlantısı
        $sayfakayit = $db->select('video')
            ->from('count(id) as total')
            ->total();
        $uploaddir = '../upload/video'; // upload edilecek klasör
        $img = getimagesize($_FILES['videoResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($videoBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['videoResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanına Kaydet
            $video = $db->insert('video')
                ->set(array(
                   'videoBaslik'   => $videoBaslik,
                    'videoSeflink' => sef_link($videoBaslik),
                    'videoResim'   => $uploadfile,
                    'videoEmbed'   => $videoEmbed,
                    'videoText'    => $videoText,
                    'aktifkontrol' =>'aktif',
                    'sira'        => ($sonkayit+1),
                    'olusturma_tarihi'    =>date('Y-m-d'),
                    'duzenleme_tarihi'    =>date('Y-m-d')
                ));
            if($video){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Video Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=video&ekle',0);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=video&ekle',1);
            }
        }else{
            echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen Resim Yükleyiniz.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=video&ekle',1);
        }
    }
    /*
     * Video Düzenşleme Fonksiyonu*/
    public function video_duzenle($videoBaslik,$videoEmbed,$videoResim,$videoText,$gelen){
        global $db; // Veritabanı Bağlantısı
        $uploaddir = '../upload/video'; // upload edilecek klasör
        $img = getimagesize($_FILES['videoResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($videoBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['videoResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanına Kaydet
            $video_duzenle = $db->update('video')
                ->where('id',$gelen)
                ->set(array(
                   'videoBaslik'   => $videoBaslik,
                    'videoResim'   => $uploadfile,
                    'videoEmbed'   => $videoEmbed,
                    'videoText'    => $videoText,
                    'duzenleme_tarihi'    =>date('Y-m-d')
                ));
                if($video_duzenle){
                  echo '<div class="alert alert-success">
                      <strong>Tebrikler!</strong> Video Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                  </div>';
                  git('index.php?do=video',1);
              }else{
                  echo '<div class="alert alert-danger">
                      <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                  </div>';
              }
        }else{
          $video_duzenle = $db->update('video')
              ->where('id',$gelen)
              ->set(array(
                  'videoBaslik'   => $videoBaslik,
                  'videoEmbed'   => $videoEmbed,
                  'videoText'    => $videoText,
                  'duzenleme_tarihi'    =>date('Y-m-d')
              ));
              if($video_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Video Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=video',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }
    }
	    /*
     * personel Ekleme Fonksiyonu*/
    public function personel_ekle($personelBaslik,$personelResim,$personelEmbed,$personelText){
        global $db; // Veritabanı Bağlantısı
        $sayfakayit = $db->select('personel')
            ->from('count(id) as total')
            ->total();
        $uploaddir = '../upload/personel'; // upload edilecek klasör
        $img = getimagesize($_FILES['personelResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($personelBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['personelResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanına Kaydet
            $personel = $db->insert('personel')
                ->set(array(
                   'personelBaslik'   => $personelBaslik,
                    'personelSeflink' => sef_link($personelBaslik),
                    'personelResim'   => $uploadfile,
                    'personelEmbed'   => $personelEmbed,
                    'olusturma_tarihi' =>date('Y-m-d'),
                    'duzenleme_tarihi' =>date('Y-m-d'),
                    'aktifkontrol' =>'aktif',
                    'sira'        => ($sayfakayit+1),
                    'personelText'    => $personelText
                ));
            if($personel){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> personel Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=personel&ekle',0);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=personel&ekle',1);
            }
        }else{
            echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen Resim Yükleyiniz.
                </div>';
            git('index.php?do=personel&ekle',3);
        }
    }

    /*
     * Personel Düzenleme Fonksiyonu*/
    public function personel_duzenle($personelBaslik,$personelResim,$personelEmbed,$personelText,$gelen){
        global $db;
        $uploaddir  = '../upload/personel'; // upload edilecek klasör
        $img        = getimagesize($_FILES['personelResim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name = sef_link($personelBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['personelResim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $personel_duzenle = $db->update('personel')
            ->where('id',$gelen)
            ->set(array(
                   'personelBaslik' => $personelBaslik,
                   'personelResim' => $uploadfile,
                    'personelEmbed' => $personelEmbed,
                    'duzenleme_tarihi' =>date('Y-m-d'),
                    'personelText' => $personelText
                ));
              if($personel_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Personel Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=personel',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }else{
            $personel_duzenle = $db->update('personel')
            ->where('id',$gelen)
            ->set(array(
               'personelBaslik' => $personelBaslik,
               'personelEmbed' => $personelEmbed,
               'personelText' => $personelText,
               'duzenleme_tarihi' =>date('Y-m-d')
                ));
              if($personel_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Personel Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=personel',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }
    }





    /*
     * Slider Ekleme Fonksiyonu*/
    public function slider_ekle($sliderBaslik,$sliderResim,$sliderbaslik_goster,$sliderresim_goster,$tarih_ayari,$saat_ayari){
        global $db; // Veritabanı Bağlantısı
        $sayfakayit = $db->select('slider')
            ->from('count(id) as total')
            ->total();
        $uploaddir = '../upload/slider'; // upload edilecek klasör
        $img = getimagesize($_FILES['sliderResim']['tmp_name']);
        $ext = explode('/', $img['mime']);
        $new_name = sef_link($sliderBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
        if(move_uploaded_file($_FILES['sliderResim']['tmp_name'], $uploaddir . '/' . $uploadfile)){
            // Veritabanı Kayıt İşlemi
            $slider = $db->insert('slider')
                ->set(array(
                    'sliderBaslik' => $sliderBaslik,
                    'sliderResim' => $uploadfile,
                    'baslik_goster' =>$sliderbaslik_goster,
                    'resim_goster' =>$sliderresim_goster,
                    'tarih_zamanlama'      => $tarih_ayari,
                    'saat_zamanlama'       => $saat_ayari,
                    'olusturma_tarihi' =>date('Y-m-d'),
                    'duzenleme_tarihi' =>date('Y-m-d'),
                    'sira' =>($sayfakayit+1)
                ));
            if($slider){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong>Slider Başarıyla Eklendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=slider&ekle',0);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=slider&ekle',1);
            }
        }else{
            echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen Resim Yükleyiniz.Yönlendiriliyorsunuz.
                </div>';
            git('index.php?do=slider&ekle',1);
        }
    }

    /*
     * slider Düzenleme Fonksiyonu*/
    public function slider_duzenle($sliderBaslik,$sliderResim,$sliderbaslik_goster,$sliderresim_goster,$tarih_ayari,$saat_ayari,$gelen){
        global $db;
        $uploaddir  = '../upload/slider'; // upload edilecek klasör
        $img        = getimagesize($_FILES['sliderResim']['tmp_name']);
        $ext        = explode('/', $img['mime']);
        $new_name = sef_link($sliderBaslik);
        $uploadfile = $new_name . '.' . $ext[1];
        if(move_uploaded_file($_FILES['sliderResim']['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $slider_duzenle = $db->update('slider')
            ->where('id',$gelen)
            ->set(array(
                   'sliderBaslik' => $sliderBaslik,
                    'sliderResim' => $uploadfile,
                    'baslik_goster' =>$sliderbaslik_goster,
                    'resim_goster' =>$sliderresim_goster,
                    'tarih_zamanlama'      => $tarih_ayari,
                    'saat_zamanlama'       => $saat_ayari,
                    'duzenleme_tarihi' =>date('Y-m-d')
                ));
              if($slider_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=slider',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }else{
            $slider_duzenle = $db->update('slider')
            ->where('id',$gelen)
            ->set(array(
                   'sliderBaslik' => $sliderBaslik,
                   'baslik_goster' =>$sliderbaslik_goster,
                   'resim_goster' =>$sliderresim_goster,
                   'tarih_zamanlama'      => $tarih_ayari,
                   'saat_zamanlama'       => $saat_ayari,
                   'duzenleme_tarihi' =>date('Y-m-d')
                ));
              if($slider_duzenle){
                echo '<div class="alert alert-success">
                    <strong>Tebrikler!</strong> Başarıyla Güncellendi.Yönlendiriliyorsunuz.
                </div>';
                git('index.php?do=slider',1);
            }else{
                echo '<div class="alert alert-danger">
                    <strong>Hata!</strong> Lütfen daha Sonra Tekrar Deneyiniz.
                </div>';
            }
        }
    }
      /*-*--*-*-*-*-*-*-*-*-SAYFALAMA MODÜLÜ*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*--*-*-**/
      // sayfa başında gerekli. yani verileri listelettiğimiz fonk yerine bu kullanılacak.
        public function sayfalamastart($limit,$tablo,$sayfa_type=2222) //sorgu sayisini Count alarak gönder
        {
          $idsutun="id";
          switch ($tablo) {
            case 'urunler':
                $idsutun = 'sira';
              break;
              case 'slider':
                $idsutun ='sira';
                break;
            case 'sayfalar':
              $idsutun ='sira';
              break;
            case 'iletisim':
              $idsutun ='iletisim_id';
              break;
            case 'siparisler':
              $idsutun ="siparisler_id";
              break;
            case 'blog':
              $idsutun ="sira";
              break;
            case 'admin':
              $idsutun ="admin_id";
              break;
            case 'referans':
             $idsutun = "sira";
             break;
             case 'markalar':
              $idsutun = "sira";
              break;
              case 'personel':
               $idsutun = "sira";
               break;
               case 'galeri':
                $idsutun = "sira";
                break;
                case 'video':
                 $idsutun = "sira";
                 break;

            default:
              $idsutun = "id";
              break;
          }
          global $db;
          if($sayfa_type==2222)
          {
            $kayitsayisi = $db->select($tablo)
                ->orderby($idsutun,'ASC')
                ->run();
          }
          else {
            $kayitsayisi = $db->select($tablo)
                ->orderby($idsutun,'ASC')
                ->where('sayfa_type',$sayfa_type)
                ->run();
          }

          $sayfa        = @get("sayfa") ? @get("sayfa") : 1;
          $sayfasayisi  = ceil(Count($kayitsayisi)/$limit);
          $baslangic    = ($sayfa * $limit) - $limit;

          if($sayfa_type==2222)
          {
            $sorgu = $db->select($tablo)
                ->orderby($idsutun,'ASC')
                ->limit($baslangic,$limit)
                ->run();
          }
          else {
            $sorgu = $db->select($tablo)
                ->orderby($idsutun,'ASC')
                ->where('sayfa_type',$sayfa_type)
                ->limit($baslangic,$limit)
                ->run();
          }
          return $sorgu;
        }

        // $do = hangi menüdeysek onun $do'su. $tablo = verilerin alındığı tablo. $limit = sayfa başına düşen kayıt.
        public function sayfalama($do,$tablo, $limit, $sayfa_type=2222)   // sayfa numaralarının yerleşeceği yerde bu fonksiyonu çevir.
        {
          switch ($tablo) {
            case 'urunler':
                $idsutun = "urun_id";
              break;
            case 'sayfalar':
              $idsutun ="sayfa_id";
            break;
            case 'iletisim':
              $idsutun ="iletisim_id";
            break;
            case 'siparisler':
              $idsutun ="siparisler_id";
            break;
            case 'blog':
              $idsutun ="blog_id";
            break;
            case 'admin':
              $idsutun ="admin_id";
            break;
            default:
              $idsutun = "id";
              break;
          }
          global $db;
          if($sayfa_type==2222)
          {
            $kayitsayisi = $db->select($tablo)
                ->orderby($idsutun,'DESC')
                ->run();
          }
          else {
            $kayitsayisi = $db->select($tablo)
                ->orderby($idsutun,'DESC')
                ->where('sayfa_type',$sayfa_type)
                ->run();
          }

          $sayfa        = @get("sayfa") ? @get("sayfa") : 1;
          $sayfasayisi = ceil(Count($kayitsayisi) / $limit);

          if (Count($kayitsayisi) > $limit)
          {
              for ($i = 1; $i <= $sayfasayisi; $i++)
              {
                if($sayfa==$i) $btncolor='warning';else $btncolor='info';
                echo '<div class="btn-group" style="margin-top:1px;margin-bottom:1px;margin-left:1px">';
                echo ' <a href="index.php?do='.$do.'&sayfa='.$i.'" class="btn btn-'.$btncolor.'">'.$i.'</a>';
                echo '</div>';
              }

          }
        }

        public function resimyukle($gelen)
        {
          $uploaddir = '../upload/images'; // upload edilecek klasör
          $img = getimagesize($gelen['tmp_name']);
          $ext = explode('/', $img['mime']);
          $new_name = md5(time()."-".rand(0,100));
          $uploadfile = $new_name . '.' . $ext[1];
          //Dosya yeni adıyla dosyalar klasörüne kaydedilecek
          if(move_uploaded_file($gelen['tmp_name'], $uploaddir . '/' . $uploadfile)) {
            $yuklenenresim = $uploadfile;
          }
          return $yuklenenresim;
        }

        public function cokluresimyukle_onhazirlik($gelenresimdizi)
        {
          $resimler = array();
          foreach ($gelenresimdizi as $k => $l) {
            foreach ($l as $i => $v) {
              if (!array_key_exists($i, $resimler))
                $resimler[$i] = array();
                $resimler[$i][$k] = $v;
              }
            }
            return $resimler;
        }











}






?>
